.\"	$NetBSD: emuxki.4,v 1.8 2005/06/22 04:19:09 kent Exp $
.\"
.\" Copyright (c) 2001 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd June 22, 2005
.Dt EMUXKI 4
.Os
.Sh NAME
.Nm emuxki
.Nd Creative Labs SBLive! and PCI 512 audio device driver
.Sh SYNOPSIS
.Cd "emuxki* at pci? dev ? function ?"
.Cd "audio*  at audiobus?"
.Sh DESCRIPTION
The
.Nm
device driver supports Creative
Sound Blaster Live! cards as well as the Sound Blaster PCI 512.
.Pp
These Environmental Audio cards are based upon the programmable EMU10K1
digital-processing chip.
.Pp
Hardware features:
.Bl -bullet -compact
.It
E-mu Systems, Inc. EMU10K1 music synthesis engine
.It
64-voice hardware polyphony with E-mu's patented 8-point interpolation
technology
.It
Up to 1024-voice polyphony with multi-timbre capability
.It
Support for real-time digital effects like reverb, chorus, flanger, pitch
shifter, or distortion across any audio source
.It
User-selectable settings are optimized for headphones, two or four speakers
.It
Creative Multi Speaker Surround (CMSS) technology places any mono or stereo
source in a 360 degree audio space
.It
Processes sample rates from 5kHz to 48kHz
.It
Hardware full duplex support enables simultaneous record and playback
at 8 standard sample rates
.It
Allows multiple audio sources playback on the same speaker system
.El
.Sh SEE ALSO
.Xr ac97 4 ,
.Xr audio 4 ,
.Xr joy 4 ,
.\" .Xr mpu 4 ,
.Xr pci 4
.Sh HISTORY
The
.Nm
device driver appeared in
.Nx 1.5.3 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Yannick Montulet Aq yannick.montulet@epitech.net .
.Sh BUGS
Currently, this driver does not support multiple source recording,
MIDI nor the multi-voice capability.
